# Generated by Django 4.0.7 on 2022-08-19 10:56

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0002_mainarticlepage_remove_mainhomepage_footer_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="mainhomepage",
            name="twitter_usernames",
            field=wagtail.fields.StreamField(
                [("username", wagtail.blocks.CharBlock())],
                blank=True,
                use_json_field=None,
                verbose_name="Uživatelská jména pro synchronizované twitter účty",
            ),
        ),
        migrations.AlterField(
            model_name="mainprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock()),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(),
                                                ),
                                                ("title", wagtail.blocks.CharBlock()),
                                                ("text", wagtail.blocks.TextBlock()),
                                            ]
                                        )
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Program",
            ),
        ),
    ]
